GEN_REPLACE_ESTIMATO(9)

NAME
gen_replace_estimator - replace rate estimator configuration

SYNOPSIS

int gen_replace_estimator(struct gnet_stats_basic_packed * bstats, struct gnet_stats_basic_cpu __percpu * cpu_bstats, struct gnet_stats_rate_est64 * rate_est, spinlock_t * stats_lock, struct nlattr * opt);

ARGUMENTS

bstats
    basic statistics

cpu_bstats
    -- undescribed --

rate_est
    rate estimator statistics

stats_lock
    statistics lock

opt
    rate estimator configuration TLV

DESCRIPTION

Replaces the configuration of a rate estimator by calling gen_kill_estimator and gen_new_estimator.

Returns 0 on success or a negative error code.

COPYRIGHT